[SCM] PostGIS branch master updated. 3.4.0rc1-1128-g459216137

git at osgeo.org git at osgeo.org
Fri May 31 03:57:43 PDT 2024


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  459216137e99a9ea07be864638edc55e31ccccb1 (commit)
       via  d0d3823f48dd3fa529e3345bcf96c49cc2cd4002 (commit)
      from  63ecdf15aac3cdd3fff8effea02d9f898be20587 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 459216137e99a9ea07be864638edc55e31ccccb1
Author: Sandro Santilli <strk at kbt.io>
Date:   Fri May 31 12:57:20 2024 +0200

    Add ability to specify list of releases to check

diff --git a/utils/check_releases_md5.sh b/utils/check_releases_md5.sh
index c377f4708..47edf07e2 100755
--- a/utils/check_releases_md5.sh
+++ b/utils/check_releases_md5.sh
@@ -10,11 +10,15 @@ OLDEST_MIN=0
 mkdir -p ${WORKDIR}
 cd ${WORKDIR}
 
-echo "Fetching list of supported releases"
-curl -s ${API}/repos/postgis/postgis/tags > tags.json
-jq -r .[].name tags.json |
-  grep "^${OLDEST_MAJ}\.${OLDEST_MIN}" |
-  grep -v [a-z] > checked_releases.txt
+if test -n '$@'; then
+  echo $@ | tr ' ' '\n' > checked_releases.txt
+else
+  echo "Fetching list of supported releases"
+  curl -s ${API}/repos/postgis/postgis/tags > tags.json
+  jq -r .[].name tags.json |
+    grep "^${OLDEST_MAJ}\.${OLDEST_MIN}" |
+    grep -v [a-z] > checked_releases.txt
+fi
 
 while read REL; do
   relname=postgis-${REL}.tar.gz

commit d0d3823f48dd3fa529e3345bcf96c49cc2cd4002
Author: Sandro Santilli <strk at kbt.io>
Date:   Fri May 31 12:55:12 2024 +0200

    Add script to check releases MD5
    
    References #5736

diff --git a/utils/check_releases_md5.sh b/utils/check_releases_md5.sh
new file mode 100755
index 000000000..c377f4708
--- /dev/null
+++ b/utils/check_releases_md5.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+WORKDIR=$PWD/releases-check
+API=https://git.osgeo.org/gitea/api/v1
+DOWNLOAD_BASE=https://download.osgeo.org/postgis/source
+MD5_BASE=https://postgis.net/stuff
+OLDEST_MAJ=3
+OLDEST_MIN=0
+
+mkdir -p ${WORKDIR}
+cd ${WORKDIR}
+
+echo "Fetching list of supported releases"
+curl -s ${API}/repos/postgis/postgis/tags > tags.json
+jq -r .[].name tags.json |
+  grep "^${OLDEST_MAJ}\.${OLDEST_MIN}" |
+  grep -v [a-z] > checked_releases.txt
+
+while read REL; do
+  relname=postgis-${REL}.tar.gz
+  md5name=${relname}.md5
+
+  echo -n "Checking ${relname} ... "
+  curl -s ${DOWNLOAD_BASE}/${relname} -o ${relname} || {
+    echo "unable to download ${relname} from ${DOWNLOAD_BASE}"
+    continue
+  }
+  curl -s ${MD5_BASE}/${md5name} -o ${md5name} || {
+    echo "unable to download ${md5name} from ${MD5_BASE}"
+    continue
+  }
+  md5sum ${relname} | diff - ${md5name} > /dev/null 2>&1 || {
+    echo "MD5 mismatch"
+    continue
+  }
+  echo "OK"
+done < checked_releases.txt

-----------------------------------------------------------------------

Summary of changes:
 utils/check_releases_md5.sh | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100755 utils/check_releases_md5.sh


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list